<?php

if (!defined('IN_PHPBB'))
{
	exit;
}

// Set update info with file structure to update
$update_info = array(
	'version'	=> array('from' => '3.3.3', 'to' => '3.3.8'),
	'files'		=> array(
		'adm/style/acp_attachments.html',
		'adm/style/acp_bbcodes.html',
		'adm/style/acp_database.html',
		'adm/style/acp_icons.html',
		'adm/style/acp_inactive.html',
		'adm/style/acp_main.html',
		'adm/style/acp_ranks.html',
		'adm/style/acp_styles.html',
		'adm/style/admin.css',
		'adm/style/admin.js',
		'adm/style/captcha_qa_acp.html',
		'adm/style/installer_footer.html',
		'adm/style/overall_footer.html',
		'adm/style/overall_header.html',
		'adm/style/simple_footer.html',
		'assets/javascript/jquery-3.6.0.min.js',
		'assets/plupload/plupload.full.min.js',
		'common.php',
		'composer.json',
		'composer.lock',
		'config/default/container/services.yml',
		'config/default/container/services_cron.yml',
		'download/file.php',
		'includes/acp/acp_attachments.php',
		'includes/acp/acp_bbcodes.php',
		'includes/acp/acp_board.php',
		'includes/acp/acp_database.php',
		'includes/acp/acp_email.php',
		'includes/acp/acp_extensions.php',
		'includes/acp/acp_help_phpbb.php',
		'includes/acp/acp_icons.php',
		'includes/acp/acp_inactive.php',
		'includes/acp/acp_language.php',
		'includes/acp/acp_logs.php',
		'includes/acp/acp_main.php',
		'includes/acp/acp_ranks.php',
		'includes/acp/acp_search.php',
		'includes/acp/acp_styles.php',
		'includes/acp/acp_users.php',
		'includes/acp/auth.php',
		'includes/constants.php',
		'includes/diff/diff.php',
		'includes/diff/renderer.php',
		'includes/functions.php',
		'includes/functions_acp.php',
		'includes/functions_admin.php',
		'includes/functions_compatibility.php',
		'includes/functions_content.php',
		'includes/functions_convert.php',
		'includes/functions_display.php',
		'includes/functions_download.php',
		'includes/functions_mcp.php',
		'includes/functions_messenger.php',
		'includes/functions_module.php',
		'includes/functions_posting.php',
		'includes/functions_user.php',
		'includes/mcp/mcp_forum.php',
		'includes/mcp/mcp_front.php',
		'includes/mcp/mcp_logs.php',
		'includes/mcp/mcp_main.php',
		'includes/mcp/mcp_notes.php',
		'includes/mcp/mcp_post.php',
		'includes/mcp/mcp_queue.php',
		'includes/mcp/mcp_reports.php',
		'includes/mcp/mcp_topic.php',
		'includes/mcp/mcp_warn.php',
		'includes/message_parser.php',
		'includes/questionnaire/questionnaire.php',
		'includes/ucp/ucp_activate.php',
		'includes/ucp/ucp_attachments.php',
		'includes/ucp/ucp_login_link.php',
		'includes/ucp/ucp_main.php',
		'includes/ucp/ucp_prefs.php',
		'includes/ucp/ucp_profile.php',
		'includes/ucp/ucp_register.php',
		'includes/ucp/ucp_resend.php',
		'includes/utf/utf_tools.php',
		'language/de/README.md',
		'language/de/acp/attachments.php',
		'language/de/acp/board.php',
		'language/de/acp/common.php',
		'language/de/acp/database.php',
		'language/de/acp/permissions_phpbb.php',
		'language/de/acp/posting.php',
		'language/de/acp/users.php',
		'language/de/captcha_recaptcha.php',
		'language/de/common.php',
		'language/de/email/bookmark.txt',
		'language/de/email/forum_notify.txt',
		'language/de/email/newtopic_notify.txt',
		'language/de/email/pm_report_closed.txt',
		'language/de/email/pm_report_deleted.txt',
		'language/de/email/post_approved.txt',
		'language/de/email/post_disapproved.txt',
		'language/de/email/post_in_queue.txt',
		'language/de/email/privmsg_notify.txt',
		'language/de/email/quote.txt',
		'language/de/email/report_closed.txt',
		'language/de/email/report_deleted.txt',
		'language/de/email/report_pm.txt',
		'language/de/email/report_pm_closed.txt',
		'language/de/email/report_post.txt',
		'language/de/email/short/bookmark.txt',
		'language/de/email/short/newtopic_notify.txt',
		'language/de/email/short/post_approved.txt',
		'language/de/email/short/post_disapproved.txt',
		'language/de/email/short/post_in_queue.txt',
		'language/de/email/short/privmsg_notify.txt',
		'language/de/email/short/quote.txt',
		'language/de/email/short/report_pm.txt',
		'language/de/email/short/report_post.txt',
		'language/de/email/short/topic_approved.txt',
		'language/de/email/short/topic_disapproved.txt',
		'language/de/email/short/topic_in_queue.txt',
		'language/de/email/short/topic_notify.txt',
		'language/de/email/topic_approved.txt',
		'language/de/email/topic_disapproved.txt',
		'language/de/email/topic_in_queue.txt',
		'language/de/email/topic_notify.txt',
		'language/de/help/faq.php',
		'language/de/install.php',
		'language/de/migrator.php',
		'language/de/posting.php',
		'language/de/ucp.php',
		'language/de_x_sie/README.md',
		'language/de_x_sie/acp/attachments.php',
		'language/de_x_sie/acp/board.php',
		'language/de_x_sie/acp/common.php',
		'language/de_x_sie/acp/database.php',
		'language/de_x_sie/acp/permissions_phpbb.php',
		'language/de_x_sie/acp/posting.php',
		'language/de_x_sie/acp/users.php',
		'language/de_x_sie/captcha_recaptcha.php',
		'language/de_x_sie/common.php',
		'language/de_x_sie/email/bookmark.txt',
		'language/de_x_sie/email/forum_notify.txt',
		'language/de_x_sie/email/newtopic_notify.txt',
		'language/de_x_sie/email/pm_report_closed.txt',
		'language/de_x_sie/email/pm_report_deleted.txt',
		'language/de_x_sie/email/post_approved.txt',
		'language/de_x_sie/email/post_disapproved.txt',
		'language/de_x_sie/email/post_in_queue.txt',
		'language/de_x_sie/email/privmsg_notify.txt',
		'language/de_x_sie/email/quote.txt',
		'language/de_x_sie/email/report_closed.txt',
		'language/de_x_sie/email/report_deleted.txt',
		'language/de_x_sie/email/report_pm.txt',
		'language/de_x_sie/email/report_pm_closed.txt',
		'language/de_x_sie/email/report_post.txt',
		'language/de_x_sie/email/short/bookmark.txt',
		'language/de_x_sie/email/short/newtopic_notify.txt',
		'language/de_x_sie/email/short/post_approved.txt',
		'language/de_x_sie/email/short/post_disapproved.txt',
		'language/de_x_sie/email/short/post_in_queue.txt',
		'language/de_x_sie/email/short/privmsg_notify.txt',
		'language/de_x_sie/email/short/quote.txt',
		'language/de_x_sie/email/short/report_pm.txt',
		'language/de_x_sie/email/short/report_post.txt',
		'language/de_x_sie/email/short/topic_approved.txt',
		'language/de_x_sie/email/short/topic_disapproved.txt',
		'language/de_x_sie/email/short/topic_in_queue.txt',
		'language/de_x_sie/email/short/topic_notify.txt',
		'language/de_x_sie/email/topic_approved.txt',
		'language/de_x_sie/email/topic_disapproved.txt',
		'language/de_x_sie/email/topic_in_queue.txt',
		'language/de_x_sie/email/topic_notify.txt',
		'language/de_x_sie/help/faq.php',
		'language/de_x_sie/install.php',
		'language/de_x_sie/migrator.php',
		'language/de_x_sie/posting.php',
		'language/de_x_sie/ucp.php',
		'language/en/acp/attachments.php',
		'language/en/acp/database.php',
		'language/en/captcha_recaptcha.php',
		'language/en/common.php',
		'language/en/email/bookmark.txt',
		'language/en/email/forum_notify.txt',
		'language/en/email/newtopic_notify.txt',
		'language/en/email/pm_report_closed.txt',
		'language/en/email/pm_report_deleted.txt',
		'language/en/email/post_approved.txt',
		'language/en/email/post_disapproved.txt',
		'language/en/email/post_in_queue.txt',
		'language/en/email/privmsg_notify.txt',
		'language/en/email/quote.txt',
		'language/en/email/report_closed.txt',
		'language/en/email/report_deleted.txt',
		'language/en/email/report_pm.txt',
		'language/en/email/report_pm_closed.txt',
		'language/en/email/report_post.txt',
		'language/en/email/short/bookmark.txt',
		'language/en/email/short/newtopic_notify.txt',
		'language/en/email/short/post_approved.txt',
		'language/en/email/short/post_disapproved.txt',
		'language/en/email/short/post_in_queue.txt',
		'language/en/email/short/privmsg_notify.txt',
		'language/en/email/short/quote.txt',
		'language/en/email/short/report_pm.txt',
		'language/en/email/short/report_post.txt',
		'language/en/email/short/topic_approved.txt',
		'language/en/email/short/topic_disapproved.txt',
		'language/en/email/short/topic_in_queue.txt',
		'language/en/email/short/topic_notify.txt',
		'language/en/email/topic_approved.txt',
		'language/en/email/topic_disapproved.txt',
		'language/en/email/topic_in_queue.txt',
		'language/en/email/topic_notify.txt',
		'language/en/install.php',
		'language/en/migrator.php',
		'language/en/ucp.php',
		'memberlist.php',
		'phpbb/attachment/upload.php',
		'phpbb/auth/provider/apache.php',
		'phpbb/auth/provider/base.php',
		'phpbb/auth/provider/db.php',
		'phpbb/auth/provider/ldap.php',
		'phpbb/auth/provider/oauth/oauth.php',
		'phpbb/auth/provider/oauth/service/bitly.php',
		'phpbb/auth/provider/oauth/token_storage.php',
		'phpbb/auth/provider/provider_interface.php',
		'phpbb/cache/service.php',
		'phpbb/captcha/plugins/captcha_abstract.php',
		'phpbb/captcha/plugins/recaptcha_v3.php',
		'phpbb/composer.json',
		'phpbb/config/db.php',
		'phpbb/console/command/db/migrate.php',
		'phpbb/console/command/dev/migration_tips.php',
		'phpbb/console/command/fixup/update_hashes.php',
		'phpbb/console/command/user/activate.php',
		'phpbb/console/command/user/add.php',
		'phpbb/controller/helper.php',
		'phpbb/cron/manager.php',
		'phpbb/cron/task/core/update_hashes.php',
		'phpbb/cron/task/wrapper.php',
		'phpbb/datetime.php',
		'phpbb/db/driver/driver.php',
		'phpbb/db/driver/mysqli.php',
		'phpbb/db/driver/postgres.php',
		'phpbb/db/driver/sqlite3.php',
		'phpbb/db/extractor/postgres_extractor.php',
		'phpbb/db/migration/data/v310/contact_admin_acp_module.php',
		'phpbb/db/migration/data/v330/add_display_unapproved_posts_config.php',
		'phpbb/db/migration/data/v330/remove_attachment_flash.php',
		'phpbb/db/migration/data/v330/remove_max_pass_chars.php',
		'phpbb/db/migration/data/v33x/bot_update_v2.php',
		'phpbb/db/migration/data/v33x/default_search_return_chars.php',
		'phpbb/db/migration/data/v33x/extend_bbcode_tooltip.php',
		'phpbb/db/migration/data/v33x/google_recaptcha_v3.php',
		'phpbb/db/migration/data/v33x/jquery_update_v2.php',
		'phpbb/db/migration/data/v33x/profilefield_youtube_update.php',
		'phpbb/db/migration/data/v33x/remove_orphaned_roles.php',
		'phpbb/db/migration/data/v33x/v334.php',
		'phpbb/db/migration/data/v33x/v334rc1.php',
		'phpbb/db/migration/data/v33x/v335.php',
		'phpbb/db/migration/data/v33x/v335rc1.php',
		'phpbb/db/migration/data/v33x/v336.php',
		'phpbb/db/migration/data/v33x/v336rc1.php',
		'phpbb/db/migration/data/v33x/v337.php',
		'phpbb/db/migration/data/v33x/v338.php',
		'phpbb/db/migration/data/v33x/v338rc1.php',
		'phpbb/db/migration/tool/permission.php',
		'phpbb/db/migrator.php',
		'phpbb/db/tools/mssql.php',
		'phpbb/db/tools/postgres.php',
		'phpbb/debug/debug.php',
		'phpbb/di/container_builder.php',
		'phpbb/di/extension/container_configuration.php',
		'phpbb/event/md_exporter.php',
		'phpbb/event/php_exporter.php',
		'phpbb/event/rst_exporter.php',
		'phpbb/extension/manager.php',
		'phpbb/extension/metadata_manager.php',
		'phpbb/feed/post_base.php',
		'phpbb/feed/topic_base.php',
		'phpbb/file_downloader.php',
		'phpbb/files/filespec.php',
		'phpbb/files/upload.php',
		'phpbb/install/controller/helper.php',
		'phpbb/install/helper/iohandler/ajax_iohandler.php',
		'phpbb/install/helper/iohandler/iohandler_base.php',
		'phpbb/install/module/install_data/task/add_bots.php',
		'phpbb/install/module/install_data/task/add_languages.php',
		'phpbb/install/module/install_finish/task/notify_user.php',
		'phpbb/install/module/obtain_data/task/obtain_server_data.php',
		'phpbb/install/module/obtain_data/task/obtain_update_ftp_data.php',
		'phpbb/install/module/update_filesystem/task/diff_files.php',
		'phpbb/install/module/update_filesystem/task/download_updated_files.php',
		'phpbb/install/module/update_filesystem/task/update_files.php',
		'phpbb/log/log.php',
		'phpbb/message/message.php',
		'phpbb/message/topic_form.php',
		'phpbb/mimetype/extension_guesser.php',
		'phpbb/mimetype/guesser_interface.php',
		'phpbb/notification/manager.php',
		'phpbb/notification/type/admin_activate_user.php',
		'phpbb/notification/type/disapprove_post.php',
		'phpbb/notification/type/disapprove_topic.php',
		'phpbb/notification/type/forum.php',
		'phpbb/notification/type/group_request.php',
		'phpbb/notification/type/pm.php',
		'phpbb/notification/type/post.php',
		'phpbb/notification/type/post_in_queue.php',
		'phpbb/notification/type/quote.php',
		'phpbb/notification/type/report_pm.php',
		'phpbb/notification/type/report_pm_closed.php',
		'phpbb/notification/type/report_post.php',
		'phpbb/notification/type/report_post_closed.php',
		'phpbb/notification/type/topic.php',
		'phpbb/notification/type/topic_in_queue.php',
		'phpbb/passwords/driver/argon2i.php',
		'phpbb/passwords/manager.php',
		'phpbb/plupload/plupload.php',
		'phpbb/search/fulltext_mysql.php',
		'phpbb/search/fulltext_native.php',
		'phpbb/search/fulltext_postgres.php',
		'phpbb/search/fulltext_sphinx.php',
		'phpbb/session.php',
		'phpbb/template/template.php',
		'phpbb/template/twig/extension.php',
		'phpbb/template/twig/twig.php',
		'phpbb/textformatter/data_access.php',
		'phpbb/ucp/controller/reset_password.php',
		'phpbb/user.php',
		'phpbb/user_loader.php',
		'phpbb/version_helper.php',
		'posting.php',
		'search.php',
		'styles/all/template/cron.html',
		'styles/prosilver/style.cfg',
		'styles/prosilver/template/ajax.js',
		'styles/prosilver/template/forumlist_body.html',
		'styles/prosilver/template/login_body.html',
		'styles/prosilver/template/mcp_ban.html',
		'styles/prosilver/template/mcp_forum.html',
		'styles/prosilver/template/mcp_notes_front.html',
		'styles/prosilver/template/mcp_notes_user.html',
		'styles/prosilver/template/mcp_warn_front.html',
		'styles/prosilver/template/mcp_warn_post.html',
		'styles/prosilver/template/mcp_warn_user.html',
		'styles/prosilver/template/memberlist_email.html',
		'styles/prosilver/template/memberlist_search.html',
		'styles/prosilver/template/overall_footer.html',
		'styles/prosilver/template/overall_header.html',
		'styles/prosilver/template/posting_attach_body.html',
		'styles/prosilver/template/posting_editor.html',
		'styles/prosilver/template/posting_pm_header.html',
		'styles/prosilver/template/posting_review.html',
		'styles/prosilver/template/posting_topic_review.html',
		'styles/prosilver/template/search_body.html',
		'styles/prosilver/template/search_results.html',
		'styles/prosilver/template/simple_footer.html',
		'styles/prosilver/template/simple_header.html',
		'styles/prosilver/template/ucp_avatar_options.html',
		'styles/prosilver/template/ucp_groups_manage.html',
		'styles/prosilver/template/ucp_main_bookmarks.html',
		'styles/prosilver/template/ucp_main_drafts.html',
		'styles/prosilver/template/ucp_main_subscribed.html',
		'styles/prosilver/template/ucp_prefs_personal.html',
		'styles/prosilver/template/ucp_prefs_post.html',
		'styles/prosilver/template/ucp_prefs_view.html',
		'styles/prosilver/template/ucp_profile_profile_info.html',
		'styles/prosilver/template/ucp_profile_reg_details.html',
		'styles/prosilver/template/ucp_profile_signature.html',
		'styles/prosilver/template/ucp_register.html',
		'styles/prosilver/template/ucp_resend.html',
		'styles/prosilver/template/ucp_reset_password.html',
		'styles/prosilver/template/ucp_zebra_foes.html',
		'styles/prosilver/template/ucp_zebra_friends.html',
		'styles/prosilver/template/viewtopic_body.html',
		'styles/prosilver/theme/base.css',
		'styles/prosilver/theme/bidi.css',
		'styles/prosilver/theme/buttons.css',
		'styles/prosilver/theme/colours.css',
		'styles/prosilver/theme/common.css',
		'styles/prosilver/theme/content.css',
		'styles/prosilver/theme/cp.css',
		'styles/prosilver/theme/forms.css',
		'styles/prosilver/theme/links.css',
		'styles/prosilver/theme/print.css',
		'styles/prosilver/theme/stylesheet.css',
		'styles/prosilver/theme/utilities.css',
		'viewforum.php',
		'viewtopic.php',
	),
	'binary'		=> array(),
	'deleted'		=> array(
		'assets/javascript/jquery-3.5.1.min.js',
	),
);
